#include "testApp.h"



//--------------------------------------------------------------
void testApp::setup(){
	ofBackground(127,127,127);

    whichFrame = -1;
    ofSetVerticalSync(true);

    tRender.loadSetupFile();
    tRender.startThread(true, false);
}

//--------------------------------------------------------------
void testApp::update(){

    int currentFrame = -1;

    if(tRender.lock()){
        currentFrame = tRender.frameCount;
        tRender.unlock();
    }

    if( currentFrame > whichFrame){
            ofSleepMillis(100);
            whichFrame = currentFrame-1;
            preview.loadImage("data/render-"+ofToString(whichFrame + 100)+".tga");
    }
}

//--------------------------------------------------------------
void testApp::draw(){

	ofSetColor(0xffffff);
	if(whichFrame > 0)preview.draw(0, 0);
	ofDrawBitmapString("rendering: "+ofToString(whichFrame), 10,10);
}


//--------------------------------------------------------------
void testApp::keyPressed  (int key){
    if(key == 's'){
        tRender.stopThread();
        OF_EXIT_APP();
    }
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){

}
